开发者社区> 问答> 正文

linux下php添加mysqli拓展库时,编译报错

php和mysql都是已经编译安装好了,现在想要给php添加mysqli 拓展库,结果在make的时候报错

 cd /usr/local/src/php-5.6.19/ext/mysqli
 /usr/local/php/bin/phpize
 ./configure --with-php-config=/usr/local/php/bin/php-config --with-mysqli=/usr/local/mysql/bin/mysql_config
 make

报错信息如下:

 [root@zhoujun mysqli]# make
/bin/sh /usr/local/src/php-5.6.19/ext/mysqli/libtool --mode=compile cc  -I. -I/usr/local/src/php-5.6.19/ext/mysqli -DPHP_ATOM_INC -I/usr/local/src/php-5.6.19/ext/mysqli/include -I/usr/local/src/php-5.6.19/ext/mysqli/main -I/usr/local/src/php-5.6.19/ext/mysqli -I/usr/local/php/include/php -I/usr/local/php/include/php/main -I/usr/local/php/include/php/TSRM -I/usr/local/php/include/php/Zend -I/usr/local/php/include/php/ext -I/usr/local/php/include/php/ext/date/lib -I/usr/local/mysql/include  -DHAVE_CONFIG_H  -g -O2   -c /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c -o mysqli_api.lo 
 cc -I. -I/usr/local/src/php-5.6.19/ext/mysqli -DPHP_ATOM_INC -I/usr/local/src/php-5.6.19/ext/mysqli/include -I/usr/local/src/php-5.6.19/ext/mysqli/main -I/usr/local/src/php-5.6.19/ext/mysqli -I/usr/local/php/include/php -I/usr/local/php/include/php/main -I/usr/local/php/include/php/TSRM -I/usr/local/php/include/php/Zend -I/usr/local/php/include/php/ext -I/usr/local/php/include/php/ext/date/lib -I/usr/local/mysql/include -DHAVE_CONFIG_H -g -O2 -c /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c  -fPIC -DPIC -o .libs/mysqli_api.o
在包含自 /usr/local/mysql/include/my_global.h:68 的文件中,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/php_mysqli_structs.h:63,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:34:
/usr/local/mysql/include/my_config.h:649:1: 警告:“PACKAGE_NAME”重定义
在包含自 /usr/local/php/include/php/TSRM/tsrm_config.h:1 的文件中,
                 从 /usr/local/php/include/php/TSRM/tsrm_config_common.h:13,
                 从 /usr/local/php/include/php/Zend/zend_virtual_cwd.h:27,
                 从 /usr/local/php/include/php/main/php.h:404,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:29:
/usr/local/php/include/php/main/../main/php_config.h:2192:1: 警告:这是先前定义的位置
在包含自 /usr/local/mysql/include/my_global.h:68 的文件中,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/php_mysqli_structs.h:63,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:34:
/usr/local/mysql/include/my_config.h:650:1: 警告:“PACKAGE_STRING”重定义
在包含自 /usr/local/php/include/php/TSRM/tsrm_config.h:1 的文件中,
                 从 /usr/local/php/include/php/TSRM/tsrm_config_common.h:13,
                 从 /usr/local/php/include/php/Zend/zend_virtual_cwd.h:27,
                 从 /usr/local/php/include/php/main/php.h:404,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:29:
/usr/local/php/include/php/main/../main/php_config.h:2195:1: 警告:这是先前定义的位置
在包含自 /usr/local/mysql/include/my_global.h:68 的文件中,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/php_mysqli_structs.h:63,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:34:
/usr/local/mysql/include/my_config.h:651:1: 警告:“PACKAGE_TARNAME”重定义
在包含自 /usr/local/php/include/php/TSRM/tsrm_config.h:1 的文件中,
                 从 /usr/local/php/include/php/TSRM/tsrm_config_common.h:13,
                 从 /usr/local/php/include/php/Zend/zend_virtual_cwd.h:27,
                 从 /usr/local/php/include/php/main/php.h:404,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:29:
/usr/local/php/include/php/main/../main/php_config.h:2198:1: 警告:这是先前定义的位置
在包含自 /usr/local/mysql/include/my_global.h:68 的文件中,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/php_mysqli_structs.h:63,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:34:
/usr/local/mysql/include/my_config.h:652:1: 警告:“PACKAGE_VERSION”重定义
在包含自 /usr/local/php/include/php/TSRM/tsrm_config.h:1 的文件中,
                 从 /usr/local/php/include/php/TSRM/tsrm_config_common.h:13,
                 从 /usr/local/php/include/php/Zend/zend_virtual_cwd.h:27,
                 从 /usr/local/php/include/php/main/php.h:404,
                 从 /usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:29:
/usr/local/php/include/php/main/../main/php_config.h:2204:1: 警告:这是先前定义的位置
/usr/local/src/php-5.6.19/ext/mysqli/mysqli_api.c:36:47: 错误:ext/mysqlnd/mysql_float_to_double.h:没有那个文件或目录
make: *** [mysqli_api.lo] 错误 1

展开
收起
杨冬芳 2016-07-18 13:56:01 3715 0
1 条回答
写回答
取消 提交回答
  • mkdir -p /usr/local/src/php-5.6.19/ext/mysqli/ext/mysqlnd

    cp /usr/local/src/php-5.6.19/ext/mysqlnd/mysql_float_to_double.h /usr/local/src/php-5.6.19/ext/mysqli/ext/mysqlnd

    make

    2019-07-17 19:57:47
    赞同 展开评论 打赏
问答排行榜
最热
最新

相关电子书

更多
Alibaba Cloud Linux 3 发布 立即下载
ECS系统指南之Linux系统诊断 立即下载
ECS运维指南 之 Linux系统诊断 立即下载

相关实验场景

更多